SC_LIST_FILES(3)

NAME
sc_list_files - List files

SYNOPSIS

    #include <opensc.h>
    int sc_list_files(struct sc_card *card, unsigned char *buf, size_t buflen);

DESCRIPTION

This function lists all files in the currently selected DF, and stores the file IDs as big-endian 16-bit words in buffer, which is buflen bytes long. If the supplied buffer is too small to hold all file IDs, the listing is silently truncated.

RETURN VALUE

Returns the number of bytes stored in buffer, or a negative value in case of error.